#header {
    text-align: center;
    font-size: 30px;
    background-color: #f0f0f0;
    padding: 10px;
    border-bottom: 1px solid #ccc;
}
        
#basicInfo {
    text-align: center;
}

#playersList {
    text-align: center;
}

body {
    background-image: url(https://api.mtyqx.cn/api/random.php);/*PC端背景图片*/
    background-repeat:no-repeat;
    background-position:top;
    background-attachment:fixed;
    background-size: cover;
    background-position: center center;
    background-attachment: fixed;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
    margin: 0 auto;
    overflow-x: hidden;
    padding: 0;
    text-align: center;
    text-decoration: none;
}

header {
    background-color: rgba(221, 221, 221, 0.75);
    padding: 10px 0;
    max-height: 150px;
}

header li{
	list-style-type: none;
}

table {
    border-collapse: collapse;
    width: 80%;
    margin: 0 auto;
}
table th,
table td {
    border: 2.5px solid #ccc;
    padding: 8px;
    text-align: center;
    max-width: 75%;
}

.a-button {
    background-color: #9A80C2;
    color: white;
    padding: 10px 20px;
    text-align: center;
    display: inline-block;
    border-radius: 5px;
    text-decoration: none;
    line-height: 20px;
}

.caidan-button {
    transition: all;
    color: rgba(0, 0, 0, 0);
    padding: 10px 20px;
    text-align: center;
    display: inline-block;
    border-radius: 5px;
    text-decoration: none;
}
    
.a-button:hover {
    background-color: #9A80C2;
}

.header {
    display: flex;
    align-items: center;
    padding: 0 20px;
    width: 100%;
    justify-content: center;
    gap: 20px;
}
    
.header .logo {
    border-radius: 5px;
    width: 40px;
    height: 40px;
    margin-right: 20px;
}

.header a {
    text-decoration: none;
    color: rgba(0, 0, 0, 0.75);
    font-size: 1.125rem;
    font-weight: bold;
    padding: 10px 20px;
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.3s;
}
    
.header a:hover {
    background-color: #9A80C2;
    transform: translateY(-3px);
}

.footer {
    bottom: 0;
    width: 100%;
    text-align: center;
    padding: 15px;
    position:fixed;
    background-color: rgba(221, 221, 221, 0.75);
    color: rgba(255, 255, 255, 0.75);
    font-size: 16px;
    overflow-x: hidden
}

.index {
    background-color: rgba(221, 221, 221,0.75);
    border-radius: 30px;
    color: rgba(0, 0, 0, 0.75);
    margin: 20px auto;
    width: 40%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    position: absolute;
}

.about {
    background-color: rgba(221, 221, 221,0.75);
    border-radius: 30px;
    color: rgba(0, 0, 0, 0.75);
    margin: 20px auto;
    width: 40%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    position: absolute;
}

.download {
    background-color: rgba(221, 221, 221,0.75);
    border-radius: 30px;
    color: rgba(0, 0, 0, 0.75);
    margin: 20px auto;
    width: 60%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    position: absolute;
}

.status {
    background-color: rgba(221, 221, 221, 0.75);
    border-radius: 30px;
    color: rgba(0, 0, 0, 0.75);
    margin: 20px auto;
    width: 80%;
    padding: 10px;
    margin-bottom: 70px;
}

@media screen and (max-width: 860px) {
    #header {
        font-size: 18px;
        max-width: 860px;
    }
    
    body {
        background-image: url(https://www.loliapi.com/acg/pe/);/*手机端背景图片*/
        font-size: 14px;
        max-width: 860px;
    }

    header {
        padding: 5px 0;
        max-height: 60px;
    }
    
    table {
        width: 80%;
        margin: 0 auto;
    }
    table th,
    table td {
        border: 2.5px solid #ccc;
        padding: 4px;
    }

    .a-button {
        padding: 10px 15px;
        border-radius: 5px;
    }

    .caidan-button {
        padding: 10px 15px;
        border-radius: 5px;
    }
    
    .header {
        padding: 0 0px;
        width: 100%;
        gap: 0px;
    }
        
    .header .logo {
        border-radius: 5px;
        width: 40px;
        height: 40px;
        margin-left: 5px;
        margin-right: 5px;
    }
    
    .header a {
        font-size: 1.125rem;
        padding: 5px 10px;
        border-radius: 5px;
        transition: background-color 0.3s, transform 0.3s;
    }
        
    .header a:hover {
        transform: translateY(-3px);
    }
    
    .footer {
        bottom: 0;
        width: 100%;
        padding: 0;
        font-size: 16px;
        max-height: 60px;
    }
    
    .index {
        border-radius: 30px;
        margin: 20px auto;
        width: 60%;
        padding: 20px;
    }
    
    .about {
        width: 60%;
        border-radius: 30px;
        margin: 20px auto;
        padding: 20px;
    }
    
    .download {
        border-radius: 30px;
        margin: 20px auto;
        padding: 20px;
    }
    
    .faq {
        border-radius: 30px;
        margin: 20px auto;
        padding: 20px;
    }
    
    .status {
        border-radius: 30px;
        margin: 20px auto;
        padding: 10px;
    }
}
